Subject: Re: [PATCH] import: Add CHICKEN egg importer.

From: raingloom <[email-masked]>
Date: Thu, 27 May 2021 21:21:54 +0200

On Thu, 27 May 2021 14:48:30 +0200
Xinglu Chen <[email-masked]> wrote:

> * guix/import/egg.scm: New file.
> * guix/scripts/import/egg.scm: New file.
> * tests/egg.scm: New file.
> * Makefile.am (MODULES, SCM_TESTS): Register them.
> * guix/scripts/import.scm (importers): Add egg importer.
> * doc/guix.texi (Invoking guix import, Invoking guix refresh):
> Document it. ---
> [ Cc’ing raingloom since you wrote the CHICKEN build system ]
> 
> This patch adds recursive importer for CHICKEN eggs, the generated
> packages aren’t entirely complete, though.  It gets information from
> The PACKAGE.egg, which is just a Scheme file that contains a list of
> lists that specify the metadata for an egg.  However, it doesn’t
> specify a description, so I have just set the ‘description’ field to
> #f for now. The licensing policy for eggs is also a bit vague[1],
> there is no strict naming format for licenses, and a lot of eggs just
> specify ‘BSD’ rather than ‘BSD-N-Clause’.

Aaaa, thank you so much for this! I was actually considering writing
one, but now I don't have to. UwU
But seriously, thanks! Gonna give it a spin soon.